# eric6.Preferences.ConfigurationPages.NotificationsPage

Module implementing the Notifications configuration page.

### Global Attributes

None

### Classes

NotificationsPage | Class implementing the Notifications configuration page.

### Functions

create | Module function to create the configuration page.

## NotificationsPage

Class implementing the Notifications configuration page.

### Derived from

ConfigurationPageBase, Ui_NotificationsPage

### Class Attributes

None

### Class Methods

None

### Methods

NotificationsPage | Constructor
on_visualButton_clicked | Private slot to select the position visually.
save | Public slot to save the Notifications configuration.

### Static Methods

None

#### NotificationsPage (Constructor)

NotificationsPage()

Constructor

#### NotificationsPage.on_visualButton_clicked

on_visualButton_clicked(checked)

Private slot to select the position visually.

checked
  state of the button (boolean)

#### NotificationsPage.save

save()

Public slot to save the Notifications configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Returns:
  reference to the instantiated page (ConfigurationPageBase)

Up